Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP

game library volo compatibility

dmose edited this page · 2 revisions

Right now, there is a small (but growing) number of libraries useful to games that install out-of-the-box using volo. Here's a list of some current known ones and their state.

You may run into a library where 'volo add' installs the entire source tree, rather than just the consumable bits. If it's not already listed here, please file an issue.

If you're a bit more adventurous and comfortable with package.json files, please help teach volo about unusual browser libraries.

If you're a library maintainer and you'd like your library to work with volo out of the box, see the browser library best practices documentation.

Just Works

  • buzz (audio element library)
  • cannon.js (lightweight 3D physics engine)
  • crafty.js (entity-component game engine)
  • CubicVR.js (3D engine; volo currently pulls from master branch)
  • gl-matrix (Matrix and Vector library for High Performance WebGL apps)
  • gladius-core (entity-component game engine)
  • input.js (GamePAD API high-level helper)
  • JigLibJS (JigLib 3D physics engine port)
  • jQuery
  • kripken/ammo.js (Bullet 3D physics engine cross-compiled)
  • kripken/box2d.js (Box2D physics engine cross-compiled)
  • Physijs (Physics plugin for Three.js)
  • Sprite.js (Efficient cross-browser sprite animation)
  • stats.js (Frame rendering perf monitor widget)
  • Three.js (3D engine)
  • tQuery (jQuery-style extension system for Three.js; this build uses the -all version and includes Three.js)

needs package.json override

  • jukebox (audio version without flash)
  • SoundManager2 (audio helper library; this version has no flash fallback)
  • audiolib.js (package.json main entry points into space)
  • Audiolet
  • viewporter (lib to simplify mobile meta viewport tag handling)

needs improved tag heuristic in volo

  • TweenJS (pulls the wrong version despite tag)
  • EaselJS (pulls the wrong version despite tag)

needs tweak

needs package.json & library maintainer needs to tag (or update tag)

  • GLGE
  • SoundJS

maintainer needs to tag

  • KineticJS (2D Canvas library that supports interactivity)

needs built version and package.json

  • gladius math
  • sink.js (low-level audio library)
  • jukebox with Flash fallback
  • SoundManager2 with Flash fallback
  • Akihabara
  • pl (includes box2dWeb used by Ted's tank game)
  • JigLibJS2 (3D Physics Engine)
  • machine.js (behavior trees)

to test

Something went wrong with that request. Please try again.